PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER SCHEMA

## Name

ALTER SCHEMA -- change the definition of a schema

## Synopsis

    ALTER SCHEMA name RENAME TO newname

## Description

`ALTER SCHEMA` changes the definition of a schema. The only functionality is to rename the schema. To rename a schema you must own the schema and have the privilege CREATE for the database.

## Parameters

name

  Name of a schema

newname

  The new name of the schema

## Compatibility

There is no `ALTER SCHEMA` statement in the SQL standard.

## See Also

CREATE SCHEMA, DROP SCHEMA

Prev | Home | Next
ALTER OPERATOR CLASS | Up | ALTER SEQUENCE